#include <bits/stdc++.h>

#define ll long long
#define ld long double

using namespace std;

void MAIN() {
    ll n,m;
    cin>>n>>m;
    map<ll,ll> mp;
    for(int i=0;i<m;i++){
        ll x;
        cin>>x;
        mp[x]++;
    }ll k{0};
    for(auto i: mp){
        if(i.second>=n) k++;
    }cout<<k<<'\n';
    for(auto i: mp)
        if(i.second>=n) cout<<i.first<<' ';
}

int main() {
    ios_base::sync_with_stdio(false);
    cin.tie(nullptr); cout.tie(nullptr);
    ll T = 1; //cin >> T;
    while (T--) MAIN();
    return 0;
}
